#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_RosNodeGenerator_1" type="RosNodeGenerator" x="220" y="180">
      <Parameter name="NODE_NAME" type="string" value="HARK_MASTER_NODE" description="Node name for ROS"/>
    </Node>
    <Node name="node_LOOP0_1" type="LOOP0" x="220" y="280">
    </Node>
    <NetOutput name="VALUE" node="node_RosNodeGenerator_1" terminal="VALUE" object_type="int" description="int parameter"/>
    <NetOutput name="OUTPUT1" node="node_LOOP0_1" terminal="OUTPUT1" object_type="any" description="Dynamic"/>
    <NetOutput name="OUTPUT1_1" node="node_LOOP0_1" terminal="OUTPUT1_1" object_type="any" description="Dynamic"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_RosHarkIntPublisher_1" type="RosHarkIntPublisher" x="200" y="340">
      <Parameter name="TOPIC_NAME" type="string" value="HarkInt" description="Published topic name for ROS"/>
      <Parameter name="BUFFER_NUM" type="int" value="100" description="Buffer size for a ROS published message"/>
      <Parameter name="PARAM" type="int" value="0" description="Bias of the output"/>
    </Node>
    <Node name="node_RosHarkIntSubscriber_1" type="RosHarkIntSubscriber" x="200" y="440">
      <Parameter name="TOPIC_NAME" type="string" value="HarkInt" description="Subscribed topic name for ROS"/>
      <Parameter name="BUFFER_NUM" type="int" value="100" description="Buffer size for a ROS published message"/>
      <Parameter name="ROS_DURATION" type="float" value="0.001" description="This allows you to specify a duration that you would like to loop at [sec]. Keep this value small."/>
    </Node>
    <Node name="node_Sleep_1" type="Sleep" x="200" y="240">
      <Parameter name="SECONDS" type="float" value="2" description="Sleep x seconds."/>
    </Node>
    <NetOutput name="OUTPUT1" node="node_RosHarkIntPublisher_1" terminal="OUTPUT1" object_type="int" description="This output the count."/>
    <NetOutput name="OUTPUT1_1" node="node_RosHarkIntSubscriber_1" terminal="OUTPUT1" object_type="int" description="This output the count."/>
    <NetCondition name="CONDITION" node="node_Sleep_1" terminal="VALUE"/>
  </Network>
</Document>
